Subject: Re: More Beginning Git Questions

From: Jakub Narebski <[email-masked]>
Date: Sat, 24 Sep 2011 14:10:07 -0700 (PDT)

tactical <[email-masked]> writes:
> Jon Forrest wrote:
> > Jakub Narebski wrote:
 
> > > Generally Alice shouldn't have uncommitted changes when doing
> > > "git pull".
> > 
> > That's what the tutorial said but I'm trying to understand
> > what happens if she does have uncommitted changes. I'm
> > trying to understand the total picture.
> 
> Mercurial allows this, and it's a very powerful feature.

You *do* realize thet "hg pull" is "git fetch", don't you?

>  After reading 
> this thread, I could not believe Git didn't pulling with local changes, and 
> so I tried it, and also asked on IRC -- and it seems that Git really 
> doesn't.
> 
> If this is an important part of your workflow (as it is mine), I'd 
> recommend using Mercurial if possible.
> 

So the question is if mercurial allows _merging_ with local
changes... and from the thread it looks like git dies allow it, as
long as changes are isolated from changes brought by merge.

Anyway merging with local changes is an easy way to f**k up your
changes in unrecoverable way, IMVHO...

-- 
Jakub Narębski